# RandomSensor Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A RandomSensor is a special kind of a general sensor More...

`#include <randomsensor.h>`

Inherits: Sensor

## Public Members

- RandomSensor ()
- ~RandomSensor ()
- PyObject* setSeed (int seed)
- PyObject* getSeed ()
- PyObject* getLastDraw ()

## Detailed Description

A RandomSensor is a special kind of a general sensor.

## PyObject* setSeed(int seed)

Set the initial seed of the generator. Equal seeds produce equal series. If the seed is 0, the generator will produce the same value on every call.

## PyObject* getSeed()

Returns the initial seed of the generator. Equal seeds produce equal series.

## PyObject* getLastDraw()

Return the last value that was drawn.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc